Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.atp.auth
Class AuthPacket

    java.lang.Object
      |
      +--com.ibm.atp.auth.AuthPacket

public class AuthPacket
extends java.lang.Object

The `AuthPacket` class is the challenge-response authentication packet class.

Version:
  1.00 $Date: 2001/07/28 06:33:44 $
Author:
  ONO Kouichi

Field Summary
`protected static java.lang.String` | `AUTH_MANNER_DIGEST`
`protected static java.lang.String` | `AUTH_MANNER_FIELDNAME` Authentication manner
`protected static java.lang.String` | `AUTH_MANNER_SIGNATURE`
`protected static java.lang.String` | `AUTHENTICATION_PROTOCOL_VERSION` Authentication protocol version
`protected static java.lang.String` | `CHALLENGE_FIELDNAME` Challenge
`protected static java.lang.String` | `CRLF` carriage return & line feed
`protected static java.lang.String` | `DOMAIN_FIELDNAME`
`protected static java.lang.String` | `DOMAIN_SEPARATOR` Security Domain
`protected static java.lang.String` | `DOMAINS_FIELDNAME`
`protected static java.lang.String` | `END_OF_PACKET` end of packet
`protected static java.lang.String` | `FIELD_SEPARATOR` Field separator
`protected static java.lang.String` | `RESPONSE_FIELDNAME` Response
`protected static java.lang.String` | `SERVERID_FIELDNAME` Identifier of aglet server
`protected static java.lang.String` | `STEP_END`
`protected static java.lang.String` | `STEP_FIRST_TURN`
`protected static java.lang.String` | `STEP_SECOND_TURN`
`protected static java.lang.String` | `STEP_START` Step of authentication protocol

Constructor Summary
`AuthPacket(java.io.DataInput di)` Constructor for receiving packet
`AuthPacket(int step, int status, java.util.Enumeration domains, int manner, Challenge challenge, Response response)` Constructor for sending packet
`AuthPacket(int step, int status, java.lang.String domain, int manner, Challenge challenge, Response response)` Constructor for sending packet

Method Summary
`int` | `getAuthManner()` Gets authentication manner.
`protected java.lang.String` | `getAuthMannerField()` Gets authentication manner field.
`Challenge` | `getChallenge()` Gets challenge.
`protected java.lang.String` | `getChallengeField()` Gets challenge field.
`Response` | `getResponse()` Gets response to challenge.
`protected java.lang.String` | `getResponseField()` Gets response to challenge field.
`java.lang.String` | `getSecurityDomain()` Gets security domain name.
`protected java.lang.String` | `getSecurityDomainField()` Gets security domain field.
`java.lang.String` | `getSecurityDomainList()` Gets security domain name list.
`java.util.Enumeration` | `getSecurityDomains()` Gets security domain names.
`protected java.lang.String` | `getSecurityDomainsField()` Gets security domains field.
`java.lang.String` | `getServerID()` Gets server ID.
`protected java.lang.String` | `getServerIDField()` Gets server ID field.
`int` | `getStatus()` Gets authentication status.
`protected java.lang.String` | `getStatusString()` Gets string of authentication status.
`int` | `getStep()` Gets authentication protocol step.
`protected java.lang.String` | `getStepString()` Gets string of authentication protocol step.
`static boolean` | `isTopLine(java.lang.String line)` Checks the line is top line.
`void` | `parseBody(java.io.DataInput di)` Parses body of packet from data input stream.
`void` | `parseTopLine(java.lang.String topLine)` Parses top line.
`void` | `readFrom(java.io.DataInput di)` Reads packet from data input stream.
`void` | `readFrom(java.lang.String topLine, java.io.DataInput di)` Reads packet from data input stream.
`static int` | `toAuthManner(java.lang.String manner)` Converts to authentication manner.
`static int` | `toAuthManner(java.lang.String manner, int defaultManner)` Converts to authentication manner.
`static java.lang.String` | `toAuthMannerString(int manner)` Converts to string of authentication manner.
`void` | `writeTo(java.io.OutputStream out)` Writes packet to output stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CRLF

    protected static final java.lang.String CRLF

  carriage return & line feed

### END_OF_PACKET

    protected static final java.lang.String END_OF_PACKET

  end of packet

### AUTHENTICATION_PROTOCOL_VERSION

    protected static final java.lang.String AUTHENTICATION_PROTOCOL_VERSION

  Authentication protocol version

### FIELD_SEPARATOR

    protected static final java.lang.String FIELD_SEPARATOR

  Field separator

### SERVERID_FIELDNAME

    protected static final java.lang.String SERVERID_FIELDNAME

  Identifier of aglet server

### DOMAIN_SEPARATOR

    protected static final java.lang.String DOMAIN_SEPARATOR

  Security Domain

### DOMAINS_FIELDNAME

    protected static final java.lang.String DOMAINS_FIELDNAME

### DOMAIN_FIELDNAME

    protected static final java.lang.String DOMAIN_FIELDNAME

### AUTH_MANNER_FIELDNAME

    protected static final java.lang.String AUTH_MANNER_FIELDNAME

  Authentication manner

### AUTH_MANNER_DIGEST

    protected static final java.lang.String AUTH_MANNER_DIGEST

### AUTH_MANNER_SIGNATURE

    protected static final java.lang.String AUTH_MANNER_SIGNATURE

### CHALLENGE_FIELDNAME

    protected static final java.lang.String CHALLENGE_FIELDNAME

  Challenge

### RESPONSE_FIELDNAME

    protected static final java.lang.String RESPONSE_FIELDNAME

  Response

### STEP_START

    protected static final java.lang.String STEP_START

  Step of authentication protocol

### STEP_FIRST_TURN

    protected static final java.lang.String STEP_FIRST_TURN

### STEP_SECOND_TURN

    protected static final java.lang.String STEP_SECOND_TURN

### STEP_END

    protected static final java.lang.String STEP_END

Constructor Detail

### AuthPacket

    public AuthPacket(int step,
                      int status,
                      java.lang.String domain,
                      int manner,
                      Challenge challenge,
                      Response response)

  Constructor for sending packet
  Parameters:
    `step` - step of authentication protocol
    `status` - status of authentication protocol
    `domain` - security domain name
    `manner` - authenticatoin manner by challenge-response
    `challenge` - challenge for authentication
    `response` - response of challenge

### AuthPacket

    public AuthPacket(int step,
                      int status,
                      java.util.Enumeration domains,
                      int manner,
                      Challenge challenge,
                      Response response)

  Constructor for sending packet
  Parameters:
    `step` - step of authentication protocol
    `status` - status of authentication protocol
    `domains` - security domain names
    `manner` - authenticatoin manner by challenge-response
    `challenge` - challenge for authentication
    `response` - response of challenge

### AuthPacket

    public AuthPacket(java.io.DataInput di)

  Constructor for receiving packet
  Parameters:
    `in` - data input stream for packet

Method Detail

### getAuthManner

    public final int getAuthManner()

  Gets authentication manner.
  Returns:
    authentication manner

### getAuthMannerField

    protected final java.lang.String getAuthMannerField()

  Gets authentication manner field.
  Returns:
    authentication manner field

### getChallenge

    public final Challenge getChallenge()

  Gets challenge.
  Returns:
    challenge

### getChallengeField

    protected final java.lang.String getChallengeField()

  Gets challenge field.
  Returns:
    challenge field

### getResponse

    public final Response getResponse()

  Gets response to challenge.
  Returns:
    response to challenge

### getResponseField

    protected final java.lang.String getResponseField()

  Gets response to challenge field.
  Returns:
    response to challenge field

### getSecurityDomain

    public final java.lang.String getSecurityDomain()

  Gets security domain name.
  Returns:
    security domain name

### getSecurityDomainField

    protected final java.lang.String getSecurityDomainField()

  Gets security domain field.
  Returns:
    security domain field

### getSecurityDomainList

    public final java.lang.String getSecurityDomainList()

  Gets security domain name list.
  Returns:
    security domain name list (URI encoded)

### getSecurityDomains

    public final java.util.Enumeration getSecurityDomains()

  Gets security domain names.
  Returns:
    security domain names

### getSecurityDomainsField

    protected final java.lang.String getSecurityDomainsField()

  Gets security domains field.
  Returns:
    security domains field

### getServerID

    public final java.lang.String getServerID()

  Gets server ID.
  Returns:
    server ID

### getServerIDField

    protected final java.lang.String getServerIDField()

  Gets server ID field.
  Returns:
    server ID field

### getStatus

    public final int getStatus()

  Gets authentication status.
  Returns:
    authentication status

### getStatusString

    protected final java.lang.String getStatusString()

  Gets string of authentication status.
  Returns:
    string of authentication status

### getStep

    public final int getStep()

  Gets authentication protocol step.
  Returns:
    authentication protocol step

### getStepString

    protected final java.lang.String getStepString()

  Gets string of authentication protocol step.
  Returns:
    string of authentication protocol step

### isTopLine

    public static boolean isTopLine(java.lang.String line)

  Checks the line is top line.
  Parameters:
    `line` - line of protocol
  Returns:
    true if the line is top line of authentication protocol, otherwise false.

### parseBody

    public void parseBody(java.io.DataInput di)
                   throws java.io.IOException

  Parses body of packet from data input stream.
  Parameters:
    `in` - data input stream for packet

### parseTopLine

    public void parseTopLine(java.lang.String topLine)
                      throws java.io.IOException

  Parses top line.
  Parameters:
    `topLine` - top line of authentication protocol

### readFrom

    public void readFrom(java.io.DataInput di)
                  throws java.io.IOException

  Reads packet from data input stream.
  Parameters:
    `in` - input stream for packet

### readFrom

    public void readFrom(java.lang.String topLine,
                         java.io.DataInput di)
                  throws java.io.IOException

  Reads packet from data input stream.
  Parameters:
    `topLine` - top line of packet
    `in` - data input stream for packet

### toAuthManner

    public static int toAuthManner(java.lang.String manner)

  Converts to authentication manner.
  Parameters:
    `manner` - string of authentication manner
  Returns:
    authentication manner code

### toAuthManner

    public static int toAuthManner(java.lang.String manner,
                                   int defaultManner)

  Converts to authentication manner.
  Parameters:
    `manner` - string of authentication manner
    `defaultManner` - default authentication manner code
  Returns:
    authentication manner code

### toAuthMannerString

    public static java.lang.String toAuthMannerString(int manner)

  Converts to string of authentication manner.
  Parameters:
    `manner` - authentication manner code
  Returns:
    string of authentication manner

### writeTo

    public void writeTo(java.io.OutputStream out)
                 throws java.io.IOException

  Writes packet to output stream.
  Parameters:
    `out` - output stream for packet

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD